Bug 426802 - serial console will not work with splashimage
Summary: serial console will not work with splashimage
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: grub
Version: 8
Hardware: All
OS: Linux
high
low
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-26 16:47 UTC by Frank Büttner
Modified: 2009-01-09 05:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-09 05:37:45 UTC


Attachments (Terms of Use)

Description Frank Büttner 2007-12-26 16:47:00 UTC
Description of problem:
By default grub use an splashimage, but then the serial console feature will
fail when it is used.

Version-Release number of selected component (if applicable):
grub-0.97-19

How reproducible:
At the 2 lines in the menu.lst file:
serial --unit=0 --speed=19200 --word=8 --parity=no --stop=1
terminal --timeout=10 serial console


Steps to Reproduce:
1. add the lines
2. connect an serial cross cable at ttyS0/COM1
3. reboot the system
  
Actual results:
When grub starts you will get the message "Press any key to continue."
on the serial and native console. But press an key at the serial console will
have no effects.

Expected results:
That the text based grub menu will be shown on the serial console.

Additional info:
When comment out the splashimage line, you will get the key messages on both
consoles like before, but now the key press function on the serial console will
work. This is very critical for remote management when the server will not boot.

Comment 1 Bug Zapper 2008-11-26 09:10:50 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2009-01-09 05:37:45 UTC
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.